/* Stile generale del form */
form, .messaggio-ok {
    max-width: 800px;
    margin: 0 auto;
    padding: 20px;
    background-color: #f4f4f4;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    font-family: Arial, sans-serif;
    margin-top: 120px;
    margin-bottom: 30px
}

.required {
    font-size: 10;
    color: #a00000;
    margin-right: 4px
}

/* Stile dei campi del form */
label {
    display: block;
    font-size: 14px;
    font-weight: 600; 
    margin-bottom: 4px;
    font-family: Arial, sans-serif;
}

.label-radio {
    font-weight: normal;
}

.radio-row {
    margin-bottom: 15px;
}

input[type="text"],
input[type="email"],
input[type="tel"],
input[type="number"],
input[type="file"],
select,
textarea {
    width: 96%;
    padding: 8px;
    margin-bottom: 8px;
    border: none;
    background-color: #ffffff;
    border-radius: 5px;
    box-shadow: inset 0 0 5px rgba(206, 205, 205, 0.1);
    font-family: Arial, sans-serif;
    font-size: 14px;
}

textarea:focus,
input[type="text"]:focus,
input[type="region"]:focus,
input[type="password"]:focus,
input[type="datetime"]:focus,
input[type="datetime-local"]:focus,
input[type="date"]:focus,
input[type="month"]:focus,
input[type="time"]:focus,
input[type="week"]:focus,
input[type="number"]:focus,
input[type="email"]:focus,
input[type="url"]:focus,
input[type="search"]:focus,
input[type="tel"]:focus,
input[type="color"]:focus,
.uneditable-input:focus {   
  border-color: #94c121;
  box-shadow: 0 1px 1px #94c121 inset, 0 0 8px #94c121;
  outline: 0 none;
}

.valori {
    border: 1px solid #bbb !important;
}

select {
    appearance: none;
    -webkit-appearance: none;
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='12' height='12' viewBox='0 0 16 16'%3E%3Cpath fill='%23b3b3b3' d='M14.4 4.4l-6.4 6.4-6.4-6.4c-.4-.4-.9-.4-1.3 0-.4.4-.4.9 0 1.3l7.1 7.1c.4.4.9.4 1.3 0l7.1-7.1c.4-.4.4-.9 0-1.3-.4-.3-.9-.3-1.3.1z'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: right 10px center;
}

select:focus{    
  border-color: #94c121;
  box-shadow: 0 1px 1px rgb(152,196,36) inset, 0 0 8px rgb(152,196,36);
  outline: 0 none;
}

/* Stile del pulsante di invio */
button[type="submit"] {
    background-color: #94c121;
    color: #ffffff;
    padding: 8px 16px;
    margin-top: 15px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 15px;
    font-weight: bold;
    transition: background-color 0.3s ease;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
}

button[type="submit"]:hover {
    background-color: #3e8e41;
}

/* Stile del messaggio di errore */
.error-message {
    color: #ff0000;
    font-size: 14px;
    margin-top: 5px;
}

/* Stile del reCAPTCHA */
.g-recaptcha {
    margin-bottom: 10px;
}

/* Stile del titolo della pagina */
h1 {
    text-align: center;
    font-size: 24px;
    margin-bottom: 20px;
}

.icon {
    display: inline-block;
    width: 24px;
    height: 24px;
    margin-right: 10px;
    vertical-align: middle;
}

.icon-installatore {
    background: url('https://example.com/icon-installatore.png') no-repeat center center;
}

.icon-utilizzatore {
    background: url('https://example.com/icon-utilizzatore.png') no-repeat center center;
}

.icon-agenzia {
    background: url('https://example.com/icon-agenzia.png') no-repeat center center;
}

.privacy {
    font-size: 12px;
    color: #666;
    background-color: white;
    border-radius: 3px;
    padding: 5px;
}

.testo {
    width: 98%;
    padding: 8px;
    border: 1px solid #bbb !important;
    background-color: #ffffff;
    border-radius: 5px;
    box-shadow: inset 0 0 5px rgba(0, 0, 0, 0.1);
    font-family: Arial, sans-serif;
    font-size: 14px;
}

/* Stile dei messaggi di successo */
.success-message {
    color: #008000;
    font-size: 14px;
    margin-top: 10px;
}

/* Stile della navbar */
#my-nav {
    background-color: #94c121;
    text-align: center;
    display: block;
    padding: 0px
}

.row-seleziona-cat {
    padding: 12px;
    border-top: 1px solid #888;
}

.right-border-custom {
    border-right: 1px solid #888
}

.odd {
    background-color: #fafafa;
}

.even {
    background-color: #fff;
}

.rag-soc-cat {
    font-weight: bold;
    font-size: 18;
}

.zona-comp-cat {
    font-style: italic;
}

.vertically-centered {
    margin: auto;
}

/*************************************** Stile della checkbox */
/* The container */
.checkbox-container {
  display: block;
  position: relative;
  padding-left: 25px;
  margin-bottom: 12px;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/* Hide the browser's default checkbox */
.checkbox-container input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

/* Create a custom checkbox */
.checkbox-checkmark {
  position: absolute;
  top: 0;
  left: 20;
  height: 17px;
  width: 17px;
  margin-top: 2px;
  background-color: white;
  border: 1px solid #bbb;
}

/* On mouse-over, add a grey background color */
.checkbox-container:hover input ~ .checkbox-checkmark {
  background-color: white;
}

/* When the checkbox is checked, add a blue background */
.checkbox-container input:checked ~ .checkbox-checkmark {
  background-color: #94c121;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkbox-checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the checkmark when checked */
.checkbox-container input:checked ~ .checkbox-checkmark:after {
  display: block;
}

/* Style the checkmark/indicator */
.checkbox-container .checkbox-checkmark:after {
  left: 5px;
  top: 2px;
  width: 5px;
  height: 10px;
  border: solid white;
  border-width: 0 3px 3px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

/********************************************* Stile radio button */
/* Customize the label (the container) */
.radio-container {
  display: block;
  position: relative;
  padding-left: 35px;
  margin-bottom: 12px;
  cursor: pointer;
  font-weight: normal;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
  
/* Hide the browser's default radio button */
.radio-container input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}
  
/* Create a custom radio button */
.radio-checkmark {
  position: absolute;
  top: 0;
  left: 0;
  height: 18px;
  width: 18px;
  background-color: white;
  border-radius: 50%;
  border: 1px solid #bbb;
}
  
/* On mouse-over, add a grey background color */
.radio-container:hover input ~ .radio-checkmark {
  background-color: white;
}
  
/* When the radio button is checked, add a blue background */
.radio-container input:checked ~ .radio-checkmark {
  background-color: #94c121;
}
  
/* Create the indicator (the dot/circle - hidden when not checked) */
.radio-checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the indicator (dot/circle) when checked */
.radio-container input:checked ~ .radio-checkmark:after {
  display: block;
}

/* Style the indicator (dot/circle) */
.radio-container .radio-checkmark:after {
  top: 5px;
  left: 5px;
  width: 6px;
  height: 6px;
  border-radius: 50%;
  background: white;
}

/* Seleziona articolo */

.dropbtn {
  background-color: #00bb00;
  color: white;
  padding: 16px;
  font-size: 16px;
  border: none;
  cursor: pointer;
}

.dropbtn:hover, .dropbtn:focus {
  background-color: #3e8e41;
}

#filtro {
  box-sizing: border-box;
  background-image: url('../img/searchicon.png');
  background-position: 14px 12px;
  background-repeat: no-repeat;
  background-size: 20px 20px;
  font-size: 16px;
  padding: 10px 20px 12px 45px;
  border: none;
  border-bottom: 1px solid #ddd;
}

#filtro:focus {outline: 3px solid #ddd;}

.dropdown {
  position: relative;
  display: inline-block;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: white;
  min-width: 230px;
  overflow: auto;
  border: 1px solid #ddd;
  z-index: 1;
}

.dropdown-content a {
  color: black;
  padding: 3px 16px;
  text-decoration: none;
  display: block;
}

.dropdown a:hover {background-color: #ddd;}

.show {display: block;}